Child Address Get
curl --request GET \
--url https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Virtual account retrieved successfully",
"data": {
"id": "3e8fcd73-4067-4386-8c1e-9929e6a768d7",
"reference": "va_01J2X8JQ4V9N0P7K2M6C3F5R8T",
"accountNumber": "0123456789",
"accountName": "Acme Ltd / Ada Okafor",
"bankName": "Example Bank",
"bankCode": "999",
"currency": "NGN",
"institutionAddress": null,
"assetId": "ae455f23-3824-4125-baab-d158315cbcbd",
"providerId": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"isActive": true,
"status": "active",
"type": "AUTO_FUNDING",
"label": "Ada collection account",
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
}v2
Child Address Get
GET
/
v2
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
/
{virtualAccountId}
Child Address Get
Authorizations
Path Parameters
Wallet identifier.
Child address identifier.
Virtual account identifier.
⌘I

